package cn.facade.pojo;


/**带业务参数的消息*/
public class BusMessageDTO extends MessageDTO
{

	/**
	 * 业务类型
	 */
	private String busType;

	/**
	 * 业务id
	 */
	private String busId;


	public BusMessageDTO(){

	}

	/**
	 * 构造 带业务参数的消息
	 * @param fromUser
	 * @param toUser
	 * @param title
	 * @param msgContent
	 * @param msgCategory
	 * @param busType
	 * @param busId
	 */
	public BusMessageDTO(String fromUser, String toUser, String title, String msgContent, String msgCategory, String busType, String busId){
		super(fromUser, toUser, title, msgContent, msgCategory);
		this.busId = busId;
		this.busType = busType;
	}
	/**
	 * @return the busType
	 */
	public String getBusType() {
		return busType;
	}

	/**
	 * @param busType the busType to set
	 */
	public void setBusType(String busType) {
		this.busType = busType;
	}

	/**
	 * @return the busId
	 */
	public String getBusId() {
		return busId;
	}

	/**
	 * @param busId the busId to set
	 */
	public void setBusId(String busId) {
		this.busId = busId;
	}

}
